html {
    background-color: black;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
}

body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../media/img/page-background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    filter: blur(8px);      /* Stärke der Unschärfe */
    z-index: -1;            /* Hinter allem anderen */
}

h1, h2, h3, h4, h5, h6, p, a, table, li {
    font-family: Arial, Helvetica, sans-serif;
    color: white;
    text-shadow: 2mm black;
}

.main {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.hero-text {
    font-size: 20pt;
}

.centertext {
    text-align: center;
}

.centercontent {
    display: flex !important;
    align-items: center;
    justify-content: center;
}

/* START Buttons */

.buttons {
    font-family: Arial, Helvetica, sans-serif;
    background-color: grey;
    color: white;
    font-size: 12pt;
    text-align: center;
    padding: 7px;
    border: none;
    border-radius: 5px;
    text-decoration: none;
}

.btn-disabled {
    background-color: lightgrey;
}

.btn-disabled:hover {
    box-shadow: none !important;
}

.buttons:hover {
    box-shadow: rgba(0, 0, 0, 0.7) 0px 1px 5px, inset rgba(0, 0, 0, 0.15) 0px -10px 20px;
    cursor: pointer;
}

.btn-red {
    background-color: red;
}

.btn-green {
    background-color: rgb(0, 232, 0);
}

.btn-blue {
    background-color: blue;
}

.btn-orange {
    background-color: orange;
}

.btn-black {
    background-color: black;
}

/* ENDE Buttons */


.floating {
    animation: float 3s ease-in-out infinite;
}

@keyframes float {
    0%   { transform: translateY(0); }
    50%  { transform: translateY(-10px); }
    100% { transform: translateY(0); }
}

/*-------------------------*/

header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
}

.header-content {
    width: 80%;
    min-width: 350px;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid white;
}

.header-content > #logo {
    width: 40%;
    min-width: 150px;
    max-width: 300px;
}

.header-content > nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 40%;
}

.header-content .nav-item {
    text-decoration: none;
    color: white;
    font-size: 16pt;
}

.header-content .nav-item:hover {
    text-decoration: underline;
    transform: translateY(-3px);
}

.header-content .nav-item-active {
    text-decoration: underline;
}

/*-------------------------*/

.section {
    width: 80%;
}

.column {
    display: flex;
    flex-direction: column;
}

.content-box {
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 5px;
}

.content-box > h1, h2, h3, h4, h5, h6, p, a, table, li {
    color: black !important;
}

.divider {
    width: 100%;
    height: 50px;
    margin: 20px 0px 20px 0px;
    background-image: url(../media/img/SV_Web_Divider_White.svg);
    background-repeat: no-repeat;
    background-position: center;
}

/*-------------------------*/

.profil-card {
    width: 350px;
    height: 500px;
    margin: 15px 15px 15px 15px;
    border: 1px solid cyan;
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.5);
}

.profil-card > img {
    width: 80%;
    border-radius: 50%;
}

.profil-card > p {
    font-size: 16pt;
}

/*-------------------------*/

#countdown, #countdown > span, #countdown > table {
    font-family: Arial, Helvetica, sans-serif;
}

#countdown td {
    text-align: center;
    width: 100px;
}

#countdown .countdown-numbers {
    font-size: 36pt;
}

/*-------------------------*/

footer {
    width: 100%;
    height: 150px;
    background-color: black;
    position: absolute;
    bottom: 0;
    left: 0;
}

.footer-content {
    width: 80%;
    padding: 20px;
}